use super::super::data_types::*;
pub const CKM_RSA_PKCS_KEY_PAIR_GEN: CK_ULONG = 0x00000000;
pub const CKM_RSA_PKCS: CK_ULONG = 0x00000001;
pub const CKM_RSA_9796: CK_ULONG = 0x00000002;
pub const CKM_RSA_X_509: CK_ULONG = 0x00000003;
pub const CKM_MD2_RSA_PKCS: CK_ULONG = 0x00000004;
pub const CKM_MD5_RSA_PKCS: CK_ULONG = 0x00000005;
pub const CKM_SHA1_RSA_PKCS: CK_ULONG = 0x00000006;
pub const CKM_RIPEMD128_RSA_PKCS: CK_ULONG = 0x00000007;
pub const CKM_RIPEMD160_RSA_PKCS: CK_ULONG = 0x00000008;
pub const CKM_RSA_PKCS_OAEP: CK_ULONG = 0x00000009;
pub const CKM_RSA_X9_31_KEY_PAIR_GEN: CK_ULONG = 0x0000000A;
pub const CKM_RSA_X9_31: CK_ULONG = 0x0000000B;
pub const CKM_SHA1_RSA_X9_31: CK_ULONG = 0x0000000C;
pub const CKM_RSA_PKCS_PSS: CK_ULONG = 0x0000000D;
pub const CKM_SHA1_RSA_PKCS_PSS: CK_ULONG = 0x0000000E;
pub const CKM_DSA_KEY_PAIR_GEN: CK_ULONG = 0x00000010;
pub const CKM_DSA: CK_ULONG = 0x00000011;
pub const CKM_DSA_SHA1: CK_ULONG = 0x00000012;
pub const CKM_DSA_FIPS_G_GEN: CK_ULONG = 0x00000013;
pub const CKM_DSA_SHA224: CK_ULONG = 0x00000014;
pub const CKM_DSA_SHA256: CK_ULONG = 0x00000015;
pub const CKM_DSA_SHA384: CK_ULONG = 0x00000016;
pub const CKM_DSA_SHA512: CK_ULONG = 0x00000017;
pub const CKM_DH_PKCS_KEY_PAIR_GEN: CK_ULONG = 0x00000020;
pub const CKM_DH_PKCS_DERIVE: CK_ULONG = 0x00000021;
pub const CKM_X9_42_DH_KEY_PAIR_GEN: CK_ULONG = 0x00000030;
pub const CKM_X9_42_DH_DERIVE: CK_ULONG = 0x00000031;
pub const CKM_X9_42_DH_HYBRID_DERIVE: CK_ULONG = 0x00000032;
pub const CKM_X9_42_MQV_DERIVE: CK_ULONG = 0x00000033;
pub const CKM_SHA256_RSA_PKCS: CK_ULONG = 0x00000040;
pub const CKM_SHA384_RSA_PKCS: CK_ULONG = 0x00000041;
pub const CKM_SHA512_RSA_PKCS: CK_ULONG = 0x00000042;
pub const CKM_SHA256_RSA_PKCS_PSS: CK_ULONG = 0x00000043;
pub const CKM_SHA384_RSA_PKCS_PSS: CK_ULONG = 0x00000044;
pub const CKM_SHA512_RSA_PKCS_PSS: CK_ULONG = 0x00000045;
pub const CKM_SHA224_RSA_PKCS: CK_ULONG = 0x00000046;
pub const CKM_SHA224_RSA_PKCS_PSS: CK_ULONG = 0x00000047;
pub const CKM_SHA512_224: CK_ULONG = 0x00000048;
pub const CKM_SHA512_224_HMAC: CK_ULONG = 0x00000049;
pub const CKM_SHA512_224_HMAC_GENERAL: CK_ULONG = 0x0000004A;
pub const CKM_SHA512_224_KEY_DERIVATION: CK_ULONG = 0x0000004B;
pub const CKM_SHA512_256: CK_ULONG = 0x0000004C;
pub const CKM_SHA512_256_HMAC: CK_ULONG = 0x0000004D;
pub const CKM_SHA512_256_HMAC_GENERAL: CK_ULONG = 0x0000004E;
pub const CKM_SHA512_256_KEY_DERIVATION: CK_ULONG = 0x0000004F;
pub const CKM_SHA512_T: CK_ULONG = 0x00000050;
pub const CKM_SHA512_T_HMAC: CK_ULONG = 0x00000051;
pub const CKM_SHA512_T_HMAC_GENERAL: CK_ULONG = 0x00000052;
pub const CKM_SHA512_T_KEY_DERIVATION: CK_ULONG = 0x00000053;
pub const CKM_RC2_KEY_GEN: CK_ULONG = 0x00000100;
pub const CKM_RC2_ECB: CK_ULONG = 0x00000101;
pub const CKM_RC2_CBC: CK_ULONG = 0x00000102;
pub const CKM_RC2_MAC: CK_ULONG = 0x00000103;
pub const CKM_RC2_MAC_GENERAL: CK_ULONG = 0x00000104;
pub const CKM_RC2_CBC_PAD: CK_ULONG = 0x00000105;
pub const CKM_RC4_KEY_GEN: CK_ULONG = 0x00000110;
pub const CKM_RC4: CK_ULONG = 0x00000111;
pub const CKM_DES_KEY_GEN: CK_ULONG = 0x00000120;
pub const CKM_DES_ECB: CK_ULONG = 0x00000121;
pub const CKM_DES_CBC: CK_ULONG = 0x00000122;
pub const CKM_DES_MAC: CK_ULONG = 0x00000123;
pub const CKM_DES_MAC_GENERAL: CK_ULONG = 0x00000124;
pub const CKM_DES_CBC_PAD: CK_ULONG = 0x00000125;
pub const CKM_DES2_KEY_GEN: CK_ULONG = 0x00000130;
pub const CKM_DES3_KEY_GEN: CK_ULONG = 0x00000131;
pub const CKM_DES3_ECB: CK_ULONG = 0x00000132;
pub const CKM_DES3_CBC: CK_ULONG = 0x00000133;
pub const CKM_DES3_MAC: CK_ULONG = 0x00000134;
pub const CKM_DES3_MAC_GENERAL: CK_ULONG = 0x00000135;
pub const CKM_DES3_CBC_PAD: CK_ULONG = 0x00000136;
pub const CKM_CDMF_KEY_GEN: CK_ULONG = 0x00000140;
pub const CKM_CDMF_ECB: CK_ULONG = 0x00000141;
pub const CKM_CDMF_CBC: CK_ULONG = 0x00000142;
pub const CKM_CDMF_MAC: CK_ULONG = 0x00000143;
pub const CKM_CDMF_MAC_GENERAL: CK_ULONG = 0x00000144;
pub const CKM_CDMF_CBC_PAD: CK_ULONG = 0x00000145;
pub const CKM_DES_OFB64: CK_ULONG = 0x00000150;
pub const CKM_DES_OFB8: CK_ULONG = 0x00000151;
pub const CKM_DES_CFB64: CK_ULONG = 0x00000152;
pub const CKM_DES_CFB8: CK_ULONG = 0x00000153;
pub const CKM_MD2: CK_ULONG = 0x00000200;
pub const CKM_MD2_HMAC: CK_ULONG = 0x00000201;
pub const CKM_MD2_HMAC_GENERAL: CK_ULONG = 0x00000202;
pub const CKM_MD5: CK_ULONG = 0x00000210;
pub const CKM_MD5_HMAC: CK_ULONG = 0x00000211;
pub const CKM_MD5_HMAC_GENERAL: CK_ULONG = 0x00000212;
pub const CKM_SHA_1: CK_ULONG = 0x00000220;
pub const CKM_SHA_1_HMAC: CK_ULONG = 0x00000221;
pub const CKM_SHA_1_HMAC_GENERAL: CK_ULONG = 0x00000222;
pub const CKM_RIPEMD128: CK_ULONG = 0x00000230;
pub const CKM_RIPEMD128_HMAC: CK_ULONG = 0x00000231;
pub const CKM_RIPEMD128_HMAC_GENERAL: CK_ULONG = 0x00000232;
pub const CKM_RIPEMD160: CK_ULONG = 0x00000240;
pub const CKM_RIPEMD160_HMAC: CK_ULONG = 0x00000241;
pub const CKM_RIPEMD160_HMAC_GENERAL: CK_ULONG = 0x00000242;
pub const CKM_SHA256: CK_ULONG = 0x00000250;
pub const CKM_SHA256_HMAC: CK_ULONG = 0x00000251;
pub const CKM_SHA256_HMAC_GENERAL: CK_ULONG = 0x00000252;
pub const CKM_SHA224: CK_ULONG = 0x00000255;
pub const CKM_SHA224_HMAC: CK_ULONG = 0x00000256;
pub const CKM_SHA224_HMAC_GENERAL: CK_ULONG = 0x00000257;
pub const CKM_SHA384: CK_ULONG = 0x00000260;
pub const CKM_SHA384_HMAC: CK_ULONG = 0x00000261;
pub const CKM_SHA384_HMAC_GENERAL: CK_ULONG = 0x00000262;
pub const CKM_SHA512: CK_ULONG = 0x00000270;
pub const CKM_SHA512_HMAC: CK_ULONG = 0x00000271;
pub const CKM_SHA512_HMAC_GENERAL: CK_ULONG = 0x00000272;
pub const CKM_SECURID_KEY_GEN: CK_ULONG = 0x00000280;
pub const CKM_SECURID: CK_ULONG = 0x00000282;
pub const CKM_HOTP_KEY_GEN: CK_ULONG = 0x00000290;
pub const CKM_HOTP: CK_ULONG = 0x00000291;
pub const CKM_ACTI: CK_ULONG = 0x000002A0;
pub const CKM_ACTI_KEY_GEN: CK_ULONG = 0x000002A1;
pub const CKM_CAST_KEY_GEN: CK_ULONG = 0x00000300;
pub const CKM_CAST_ECB: CK_ULONG = 0x00000301;
pub const CKM_CAST_CBC: CK_ULONG = 0x00000302;
pub const CKM_CAST_MAC: CK_ULONG = 0x00000303;
pub const CKM_CAST_MAC_GENERAL: CK_ULONG = 0x00000304;
pub const CKM_CAST_CBC_PAD: CK_ULONG = 0x00000305;
pub const CKM_CAST3_KEY_GEN: CK_ULONG = 0x00000310;
pub const CKM_CAST3_ECB: CK_ULONG = 0x00000311;
pub const CKM_CAST3_CBC: CK_ULONG = 0x00000312;
pub const CKM_CAST3_MAC: CK_ULONG = 0x00000313;
pub const CKM_CAST3_MAC_GENERAL: CK_ULONG = 0x00000314;
pub const CKM_CAST3_CBC_PAD: CK_ULONG = 0x00000315;
pub const CKM_CAST5_KEY_GEN: CK_ULONG = 0x00000320;
pub const CKM_CAST128_KEY_GEN: CK_ULONG = 0x00000320;
pub const CKM_CAST5_ECB: CK_ULONG = 0x00000321;
pub const CKM_CAST128_ECB: CK_ULONG = 0x00000321;
pub const CKM_CAST5_CBC: CK_ULONG = 0x00000322;
pub const CKM_CAST128_CBC: CK_ULONG = 0x00000322;
pub const CKM_CAST5_MAC: CK_ULONG = 0x00000323;
pub const CKM_CAST128_MAC: CK_ULONG = 0x00000323;
pub const CKM_CAST5_MAC_GENERAL: CK_ULONG = 0x00000324;
pub const CKM_CAST128_MAC_GENERAL: CK_ULONG = 0x00000324;
pub const CKM_CAST5_CBC_PAD: CK_ULONG = 0x00000325;
pub const CKM_CAST128_CBC_PAD: CK_ULONG = 0x00000325;
pub const CKM_RC5_KEY_GEN: CK_ULONG = 0x00000330;
pub const CKM_RC5_ECB: CK_ULONG = 0x00000331;
pub const CKM_RC5_CBC: CK_ULONG = 0x00000332;
pub const CKM_RC5_MAC: CK_ULONG = 0x00000333;
pub const CKM_RC5_MAC_GENERAL: CK_ULONG = 0x00000334;
pub const CKM_RC5_CBC_PAD: CK_ULONG = 0x00000335;
pub const CKM_IDEA_KEY_GEN: CK_ULONG = 0x00000340;
pub const CKM_IDEA_ECB: CK_ULONG = 0x00000341;
pub const CKM_IDEA_CBC: CK_ULONG = 0x00000342;
pub const CKM_IDEA_MAC: CK_ULONG = 0x00000343;
pub const CKM_IDEA_MAC_GENERAL: CK_ULONG = 0x00000344;
pub const CKM_IDEA_CBC_PAD: CK_ULONG = 0x00000345;
pub const CKM_GENERIC_SECRET_KEY_GEN: CK_ULONG = 0x00000350;
pub const CKM_CONCATENATE_BASE_AND_KEY: CK_ULONG = 0x00000360;
pub const CKM_CONCATENATE_BASE_AND_DATA: CK_ULONG = 0x00000362;
pub const CKM_CONCATENATE_DATA_AND_BASE: CK_ULONG = 0x00000363;
pub const CKM_XOR_BASE_AND_DATA: CK_ULONG = 0x00000364;
pub const CKM_EXTRACT_KEY_FROM_KEY: CK_ULONG = 0x00000365;
pub const CKM_SSL3_PRE_MASTER_KEY_GEN: CK_ULONG = 0x00000370;
pub const CKM_SSL3_MASTER_KEY_DERIVE: CK_ULONG = 0x00000371;
pub const CKM_SSL3_KEY_AND_MAC_DERIVE: CK_ULONG = 0x00000372;
pub const CKM_SSL3_MASTER_KEY_DERIVE_DH: CK_ULONG = 0x00000373;
pub const CKM_TLS_PRE_MASTER_KEY_GEN: CK_ULONG = 0x00000374;
pub const CKM_TLS_MASTER_KEY_DERIVE: CK_ULONG = 0x00000375;
pub const CKM_TLS_KEY_AND_MAC_DERIVE: CK_ULONG = 0x00000376;
pub const CKM_TLS_MASTER_KEY_DERIVE_DH: CK_ULONG = 0x00000377;
pub const CKM_TLS_PRF: CK_ULONG = 0x00000378;
pub const CKM_SSL3_MD5_MAC: CK_ULONG = 0x00000380;
pub const CKM_SSL3_SHA1_MAC: CK_ULONG = 0x00000381;
pub const CKM_MD5_KEY_DERIVATION: CK_ULONG = 0x00000390;
pub const CKM_MD2_KEY_DERIVATION: CK_ULONG = 0x00000391;
pub const CKM_SHA1_KEY_DERIVATION: CK_ULONG = 0x00000392;
pub const CKM_SHA256_KEY_DERIVATION: CK_ULONG = 0x00000393;
pub const CKM_SHA384_KEY_DERIVATION: CK_ULONG = 0x00000394;
pub const CKM_SHA512_KEY_DERIVATION: CK_ULONG = 0x00000395;
pub const CKM_SHA224_KEY_DERIVATION: CK_ULONG = 0x00000396;
pub const CKM_PBE_MD2_DES_CBC: CK_ULONG = 0x000003A0;
pub const CKM_PBE_MD5_DES_CBC: CK_ULONG = 0x000003A1;
pub const CKM_PBE_MD5_CAST_CBC: CK_ULONG = 0x000003A2;
pub const CKM_PBE_MD5_CAST3_CBC: CK_ULONG = 0x000003A3;
pub const CKM_PBE_MD5_CAST5_CBC: CK_ULONG = 0x000003A4;
pub const CKM_PBE_MD5_CAST128_CBC: CK_ULONG = 0x000003A4;
pub const CKM_PBE_SHA1_CAST5_CBC: CK_ULONG = 0x000003A5;
pub const CKM_PBE_SHA1_CAST128_CBC: CK_ULONG = 0x000003A5;
pub const CKM_PBE_SHA1_RC4_128: CK_ULONG = 0x000003A6;
pub const CKM_PBE_SHA1_RC4_40: CK_ULONG = 0x000003A7;
pub const CKM_PBE_SHA1_DES3_EDE_CBC: CK_ULONG = 0x000003A8;
pub const CKM_PBE_SHA1_DES2_EDE_CBC: CK_ULONG = 0x000003A9;
pub const CKM_PBE_SHA1_RC2_128_CBC: CK_ULONG = 0x000003AA;
pub const CKM_PBE_SHA1_RC2_40_CBC: CK_ULONG = 0x000003AB;
pub const CKM_PKCS5_PBKD2: CK_ULONG = 0x000003B0;
pub const CKM_PBA_SHA1_WITH_SHA1_HMAC: CK_ULONG = 0x000003C0;
pub const CKM_WTLS_PRE_MASTER_KEY_GEN: CK_ULONG = 0x000003D0;
pub const CKM_WTLS_MASTER_KEY_DERIVE: CK_ULONG = 0x000003D1;
pub const CKM_WTLS_MASTER_KEY_DERIVE_DH_ECC: CK_ULONG = 0x000003D2;
pub const CKM_WTLS_PRF: CK_ULONG = 0x000003D3;
pub const CKM_WTLS_SERVER_KEY_AND_MAC_DERIVE: CK_ULONG = 0x000003D4;
pub const CKM_WTLS_CLIENT_KEY_AND_MAC_DERIVE: CK_ULONG = 0x000003D5;
pub const CKM_TLS10_MAC_SERVER: CK_ULONG = 0x000003D6;
pub const CKM_TLS10_MAC_CLIENT: CK_ULONG = 0x000003D7;
pub const CKM_TLS12_MAC: CK_ULONG = 0x000003D8;
pub const CKM_TLS12_MASTER_KEY_DERIVE: CK_ULONG = 0x000003E0;
pub const CKM_TLS12_KEY_AND_MAC_DERIVE: CK_ULONG = 0x000003E1;
pub const CKM_TLS12_MASTER_KEY_DERIVE_DH: CK_ULONG = 0x000003E2;
pub const CKM_TLS12_KEY_SAFE_DERIVE: CK_ULONG = 0x000003E3;
pub const CKM_TLS_MAC: CK_ULONG = 0x000003E4;
pub const CKM_TLS_KDF: CK_ULONG = 0x000003E5;
pub const CKM_KEY_WRAP_LYNKS: CK_ULONG = 0x00000400;
pub const CKM_KEY_WRAP_SET_OAEP: CK_ULONG = 0x00000401;
pub const CKM_CMS_SIG: CK_ULONG = 0x00000500;
pub const CKM_KIP_DERIVE: CK_ULONG = 0x00000510;
pub const CKM_KIP_WRAP: CK_ULONG = 0x00000511;
pub const CKM_KIP_MAC: CK_ULONG = 0x00000512;
pub const CKM_CAMELLIA_KEY_GEN: CK_ULONG = 0x00000550;
pub const CKM_CAMELLIA_ECB: CK_ULONG = 0x00000551;
pub const CKM_CAMELLIA_CBC: CK_ULONG = 0x00000552;
pub const CKM_CAMELLIA_MAC: CK_ULONG = 0x00000553;
pub const CKM_CAMELLIA_MAC_GENERAL: CK_ULONG = 0x00000554;
pub const CKM_CAMELLIA_CBC_PAD: CK_ULONG = 0x00000555;
pub const CKM_CAMELLIA_ECB_ENCRYPT_DATA: CK_ULONG = 0x00000556;
pub const CKM_CAMELLIA_CBC_ENCRYPT_DATA: CK_ULONG = 0x00000557;
pub const CKM_CAMELLIA_CTR: CK_ULONG = 0x00000558;
pub const CKM_ARIA_KEY_GEN: CK_ULONG = 0x00000560;
pub const CKM_ARIA_ECB: CK_ULONG = 0x00000561;
pub const CKM_ARIA_CBC: CK_ULONG = 0x00000562;
pub const CKM_ARIA_MAC: CK_ULONG = 0x00000563;
pub const CKM_ARIA_MAC_GENERAL: CK_ULONG = 0x00000564;
pub const CKM_ARIA_CBC_PAD: CK_ULONG = 0x00000565;
pub const CKM_ARIA_ECB_ENCRYPT_DATA: CK_ULONG = 0x00000566;
pub const CKM_ARIA_CBC_ENCRYPT_DATA: CK_ULONG = 0x00000567;
pub const CKM_SKIPJACK_KEY_GEN: CK_ULONG = 0x00001000;
pub const CKM_SKIPJACK_ECB64: CK_ULONG = 0x00001001;
pub const CKM_SKIPJACK_CBC64: CK_ULONG = 0x00001002;
pub const CKM_SKIPJACK_OFB64: CK_ULONG = 0x00001003;
pub const CKM_SKIPJACK_CFB64: CK_ULONG = 0x00001004;
pub const CKM_SKIPJACK_CFB32: CK_ULONG = 0x00001005;
pub const CKM_SKIPJACK_CFB16: CK_ULONG = 0x00001006;
pub const CKM_SKIPJACK_CFB8: CK_ULONG = 0x00001007;
pub const CKM_SKIPJACK_WRAP: CK_ULONG = 0x00001008;
pub const CKM_SKIPJACK_PRIVATE_WRAP: CK_ULONG = 0x00001009;
pub const CKM_SKIPJACK_RELAYX: CK_ULONG = 0x0000100a;
pub const CKM_KEA_KEY_PAIR_GEN: CK_ULONG = 0x00001010;
pub const CKM_KEA_KEY_DERIVE: CK_ULONG = 0x00001011;
pub const CKM_FORTEZZA_TIMESTAMP: CK_ULONG = 0x00001020;
pub const CKM_BATON_KEY_GEN: CK_ULONG = 0x00001030;
pub const CKM_BATON_ECB128: CK_ULONG = 0x00001031;
pub const CKM_BATON_ECB96: CK_ULONG = 0x00001032;
pub const CKM_BATON_CBC128: CK_ULONG = 0x00001033;
pub const CKM_BATON_COUNTER: CK_ULONG = 0x00001034;
pub const CKM_BATON_SHUFFLE: CK_ULONG = 0x00001035;
pub const CKM_BATON_WRAP: CK_ULONG = 0x00001036;
pub const CKM_ECDSA_KEY_PAIR_GEN: CK_ULONG = 0x00001040;
pub const CKM_EC_KEY_PAIR_GEN: CK_ULONG = 0x00001040;
pub const CKM_ECDSA: CK_ULONG = 0x00001041;
pub const CKM_ECDSA_SHA1: CK_ULONG = 0x00001042;
pub const CKM_ECDH1_DERIVE: CK_ULONG = 0x00001050;
pub const CKM_ECDH1_COFACTOR_DERIVE: CK_ULONG = 0x00001051;
pub const CKM_ECMQV_DERIVE: CK_ULONG = 0x00001052;
pub const CKM_ECDH_AES_KEY_WRAP: CK_ULONG = 0x00001053;
pub const CKM_RSA_AES_KEY_WRAP: CK_ULONG = 0x00001054;
pub const CKM_JUNIPER_KEY_GEN: CK_ULONG = 0x00001060;
pub const CKM_JUNIPER_ECB128: CK_ULONG = 0x00001061;
pub const CKM_JUNIPER_CBC128: CK_ULONG = 0x00001062;
pub const CKM_JUNIPER_COUNTER: CK_ULONG = 0x00001063;
pub const CKM_JUNIPER_SHUFFLE: CK_ULONG = 0x00001064;
pub const CKM_JUNIPER_WRAP: CK_ULONG = 0x00001065;
pub const CKM_FASTHASH: CK_ULONG = 0x00001070;
pub const CKM_AES_KEY_GEN: CK_ULONG = 0x00001080;
pub const CKM_AES_ECB: CK_ULONG = 0x00001081;
pub const CKM_AES_CBC: CK_ULONG = 0x00001082;
pub const CKM_AES_MAC: CK_ULONG = 0x00001083;
pub const CKM_AES_MAC_GENERAL: CK_ULONG = 0x00001084;
pub const CKM_AES_CBC_PAD: CK_ULONG = 0x00001085;
pub const CKM_AES_CTR: CK_ULONG = 0x00001086;
pub const CKM_AES_GCM: CK_ULONG = 0x00001087;
pub const CKM_AES_CCM: CK_ULONG = 0x00001088;
pub const CKM_AES_CMAC_GENERAL: CK_ULONG = 0x00001089;
pub const CKM_AES_CMAC: CK_ULONG = 0x0000108A;
pub const CKM_AES_CTS: CK_ULONG = 0x0000108B;
pub const CKM_AES_XCBC_MAC: CK_ULONG = 0x0000108C;
pub const CKM_AES_XCBC_MAC_96: CK_ULONG = 0x0000108D;
pub const CKM_BLOWFISH_KEY_GEN: CK_ULONG = 0x00001090;
pub const CKM_BLOWFISH_CBC: CK_ULONG = 0x00001091;
pub const CKM_TWOFISH_KEY_GEN: CK_ULONG = 0x00001092;
pub const CKM_TWOFISH_CBC: CK_ULONG = 0x00001093;
pub const CKM_BLOWFISH_CBC_PAD: CK_ULONG = 0x00001094;
pub const CKM_TWOFISH_CBC_PAD: CK_ULONG = 0x00001095;
pub const CKM_DES_ECB_ENCRYPT_DATA: CK_ULONG = 0x00001100;
pub const CKM_DES_CBC_ENCRYPT_DATA: CK_ULONG = 0x00001101;
pub const CKM_DES3_ECB_ENCRYPT_DATA: CK_ULONG = 0x00001102;
pub const CKM_DES3_CBC_ENCRYPT_DATA: CK_ULONG = 0x00001103;
pub const CKM_AES_ECB_ENCRYPT_DATA: CK_ULONG = 0x00001104;
pub const CKM_AES_CBC_ENCRYPT_DATA: CK_ULONG = 0x00001105;
pub const CKM_GOSTR3410_KEY_PAIR_GEN: CK_ULONG = 0x00001200;
pub const CKM_GOSTR3410: CK_ULONG = 0x00001201;
pub const CKM_GOSTR3410_WITH_GOSTR3411: CK_ULONG = 0x00001202;
pub const CKM_GOSTR3410_KEY_WRAP: CK_ULONG = 0x00001203;
pub const CKM_GOSTR3410_DERIVE: CK_ULONG = 0x00001204;
pub const CKM_GOSTR3411: CK_ULONG = 0x00001210;
pub const CKM_GOSTR3411_HMAC: CK_ULONG = 0x00001211;
pub const CKM_GOST28147_KEY_GEN: CK_ULONG = 0x00001220;
pub const CKM_GOST28147_ECB: CK_ULONG = 0x00001221;
pub const CKM_GOST28147: CK_ULONG = 0x00001222;
pub const CKM_GOST28147_MAC: CK_ULONG = 0x00001223;
pub const CKM_GOST28147_KEY_WRAP: CK_ULONG = 0x00001224;
pub const CKM_DSA_PARAMETER_GEN: CK_ULONG = 0x00002000;
pub const CKM_DH_PKCS_PARAMETER_GEN: CK_ULONG = 0x00002001;
pub const CKM_X9_42_DH_PKCS_PARAMETER_GEN: CK_ULONG = 0x00002002;
pub const CKM_DSA_PROBABLISTIC_PARAMETER_GEN: CK_ULONG = 0x00002003;
pub const CKM_DSA_SHAWE_TAYLOR_PARAMETER_GEN: CK_ULONG = 0x00002004;
pub const CKM_AES_OFB: CK_ULONG = 0x00002104;
pub const CKM_AES_CFB64: CK_ULONG = 0x00002105;
pub const CKM_AES_CFB8: CK_ULONG = 0x00002106;
pub const CKM_AES_CFB128: CK_ULONG = 0x00002107;
pub const CKM_AES_CFB1: CK_ULONG = 0x00002108;
pub const CKM_AES_KEY_WRAP: CK_ULONG = 0x00002109;
pub const CKM_AES_KEY_WRAP_PAD: CK_ULONG = 0x0000210A;
pub const CKM_RSA_PKCS_TPM_1_1: CK_ULONG = 0x00004001;
pub const CKM_RSA_PKCS_OAEP_TPM_1_1: CK_ULONG = 0x00004002;
pub const CKM_VENDOR_DEFINED: CK_ULONG = 0x80000000;
